Skip to main content
PATCH
/
v1
/
audio_books
/
{audio_book_id}
Update Audio Book
curl --request PATCH \
  --url https://voice.plotweaver.app/v1/audio_books/{audio_book_id} \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "audio_book_cover": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "file": "<string>",
  "name": "<string>",
  "audio_book_cover": "https://example.com/covers/cover01.jpg",
  "date_created": "2023-11-07T05:31:56Z",
  "date_updated": "2023-11-07T05:31:56Z",
  "localized_file": "<string>",
  "task_status": "<string>",
  "task_progress": 123
}

Documentation Index

Fetch the complete documentation index at: https://plotweaver.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-KEY
string
header
required

Path Parameters

audio_book_id
string<uuid>
required

Body

application/json
name
string | null
audio_book_cover
string | null

Response

Successful Response

id
string<uuid>
required
file
string
required

A Public accessible URI or path string pointing to the text file.

Example:

"https://dpodkdhb03iee.cloudfront.net/TESTS/a553898a-e693-4c15-b3e6-32db42cf9482_AudioBook.txt"

name
string
required

The title of your audiobook

Example:

"The Great Gatsby: Afro-Centric Edition"

source_language
enum<string>
required

The starting language (case-sensitive to your Enum)

Available options:
French,
English,
Amharic,
Swahili,
Chinese,
Japanese,
Korean,
German,
Russian,
Portuguese,
Spanish,
Italian,
Arabic,
Dutch,
Hindi,
Urdu
Example:

"English"

target_language
enum<string>
required

A String of valid Language enum values

Available options:
French,
English,
Amharic,
Swahili,
Chinese,
Japanese,
Korean,
German,
Russian,
Portuguese,
Spanish,
Italian,
Arabic,
Dutch,
Hindi,
Urdu
Examples:

"English"

"Hindu"

"Chinese"

audio_book_cover
string | null
required

Public Accessible URI to an image to be used as the Audio Book Cover

Example:

"https://example.com/covers/cover01.jpg"

date_created
string<date-time>
required
date_updated
string<date-time>
required
localized_file
string | null
task_status
string | null
task_progress
number | null